Bug 197293 - Review Request: perl-IO-Prompt
Review Request: perl-IO-Prompt
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On:
Blocks: FE-ACCEPT 197304
  Show dependency treegraph
Reported: 2006-06-29 19:39 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-03 13:56:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-06-29 19:39:12 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-IO-Prompt.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-IO-Prompt-v0.99.4-0.fc5.src.rpm
An object-oriented way to query for user input -- and control how that input is obtained.
Comment 1 Jason Tibbitts 2006-06-29 20:43:49 EDT
Note that BuildRequires: perl is redundant, and perl(Test::More),
perl(IO::Handle) and perl(POSIX) are all provided by the base Perl package.

The test suite skips some tests because of missing modules; you should add BR:
perl(Test::Pod), perl(Test::Pod::Coverage) for better test coverage.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* source files match upstream:
   c62e369783af1f3dfe775e5d80686b61  IO-Prompt-v0.99.4.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl-IO-Prompt = v0.99.4-0.fc6
   perl >= 0:5.008
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
X %check is present and all tests pass; however, some tests are skipped due to
missing modules.
   All tests successful, 2 tests skipped.
   Files=3, Tests=1,  0 wallclock secs ( 0.10 cusr +  0.02 csys =  0.12 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 2 Chris Weyl 2006-06-29 21:00:16 EDT
Updated with additional buildreqs.

Spec URL: http://home.comcast.net/~ckweyl/perl-IO-Prompt.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-IO-Prompt-v0.99.4-0.1.fc5.src.rpm

(note the "odd" release #'s are just so I can release the initial build inside
extras as "-1")
Comment 3 Jason Tibbitts 2006-07-03 13:15:21 EDT
The test suite now passes with no tests skipped:
   All tests successful.
   Files=3, Tests=3,  1 wallclock secs ( 0.20 cusr +  0.05 csys =  0.25 CPU)

There is this warning:
t/pod-coverage....Too late to run CHECK block at
/builddir/build/BUILD/IO-Prompt-v0.99.4/blib/lib/IO/Prompt.pm line 315.

which might be useful to report upstream.  I'm not sure what it means.

Comment 4 Chris Weyl 2006-07-03 13:55:46 EDT
Imported and building for devel -- will build for FC-4, FC-5 after branching.

CHECK issue will be reported upstream.


Note You need to log in before you can comment on or make changes to this bug.